body {
    background: black;
}

.contact-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    height: 50%;
    background: white;
    padding: 20px;
    border-radius: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1.4fr 1fr;
}

.contact-container > h1 {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
}

.contact-container > div {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 25%;
    grid-column: span 2;
}

.contact-container > div:first-of-type {
    padding-top: 30px;
}

.contact-container > div:last-of-type {
    position: relative;
    grid-column: span 2;
}

.social-media {
    display: flex;
    gap: 20px;
    flex-direction: row;
    width: 100%;
    height: 50%;
    overflow: hidden;
    padding: 20px;  
}

.social-media > svg {
    width: 100%;
    height: auto;
    scale: 0.8;
    cursor: pointer;
}

#truth-social {
    scale: 1.6;
}

.contact-container > div > * {
    text-align: center;
}

.contact-container > div > h2 {
    font-size: 1.4rem;
}

.contact-container > div:last-of-type > h2 {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
}

.contact-container > div > a {
    padding: 20px;
    border-radius: 10px;
    background: black;
    color: white;
    font-size: 1.2rem;
    text-decoration: none;
    border: solid 1px;
    transition: color 0.25s linear, background 0.25s linear;
}

.contact-container > div > a:hover {
    background: white;
    color: black;
}

@media (max-width: 1000px) {
    #stars {
        display: none;
    }

    .contact-container {
        width: 100%;
        height: 100%;
        border-radius: 0;
        display: flex;
        flex-direction: column;
        gap: 50px;
        justify-content: center;
        align-items: center;
    }

    .contact-container > div {
        gap: 10px;
    }

    .social-media {
        width: 75%;
        height: auto;
        padding-block: 30px;
        padding-inline: 0;
    }
}

@media (max-width: 800px) {
    .social-media {
        width: 100%;
    }
}